[Patch] check ifenslave instead of brctl in parse-bond.sh

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: WANG Cong <xiyou.wangcong@xxxxxxxxx>

This is obviously wrong, ifenslave instead of brctl is needed for bonding.

Cc: Harald Hoyer <harald@xxxxxxxxxx>
Signed-off-by: WANG Cong <xiyou.wangcong@xxxxxxxxx>

---
diff --git a/modules.d/40network/parse-bond.sh b/modules.d/40network/parse-bond.sh
index 0a4c006..ae0ae97 100755
--- a/modules.d/40network/parse-bond.sh
+++ b/modules.d/40network/parse-bond.sh
@@ -18,7 +18,7 @@ if getarg bond= >/dev/null ; then
     if [ -z "$netroot" ] ; then
         die "No netboot configured, bond is invalid"
     fi
-    command -v brctl >/dev/null 2>&1 || die "No 'brctl' installed"
+    command -v ifenslave >/dev/null 2>&1 || die "No 'ifenslave' installed"
 fi
 
 # We translate list of slaves to space-separated here to mwke it easier to loop over them in ifup
--
To unsubscribe from this list: send the line "unsubscribe initramfs" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html


[Index of Archives]     [Linux Kernel]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux SCSI]

  Powered by Linux